@echo off
REM
REM Batch file that attempts to reset the
REM Volume Shadow Copy (VSS) installation.
REM
echo This batch file must be run as an Administrator. If you are using Windows
echo Vista then run it by right-clicking on the batch file and selecting
echo "Run as administrator"

%SYSTEMDRIVE%
cd %SystemRoot%\System32
echo.
echo Ignore any messages saying a service is not started.
echo.
Net stop vss
Net stop swprv
regsvr32 ole32.dll
regsvr32 oleaut32.dll
regsvr32 vss_ps.dll
Vssvc /Register
regsvr32 /i swprv.dll

echo eventcls.dll will fail to register on Windows Vista.
regsvr32 /i eventcls.dll

echo es.dll will fail to register on Windows Vista.
regsvr32 es.dll

regsvr32 stdprov.dll
echo.
echo vssui.dll only exists on Windows 2003. Ignore the error if not using Windows 2003.
regsvr32 vssui.dll

regsvr32 msxml.dll
regsvr32 msxml3.dll
echo.

echo msxml4.dll may not be installed and is optional. Ignore the error.
regsvr32 msxml4.dll
echo.
echo DONE!
echo.
echo IMPORTANT: Reboot your computer. After the reboot, open a command prompt
echo and run the following:
echo.
echo vssadmin list writers
echo.
echo Ensure that all your writers are displayed without errors.
echo.
echo vssadmin list providers
echo.
echo Ensure that all your providers are displayed without errors.
pause
